﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using WpfApplication138.VeiwModel;

namespace WpfApplication138.VeiwModel
{
  public  class GDPConverter:IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            double gdp = 0.00;
          //  throw new NotImplementedException();
            if  ((parameter.ToString().Contains("0")) || (parameter.ToString().Contains("2")))
            {
             Continent c = value as Continent;
       
             foreach (Country cntry in c.Countries)
             {
                foreach (City cty in cntry.Cities)
                {
                    if (parameter.ToString().Contains("0"))
                    gdp += cty.GDP;
                    else gdp += cty.AnnualRainFall;
                }
             }
            }
            else if (parameter.ToString().Contains("1")  || (parameter.ToString().Contains("3"))) 

            {
                Country ctry = value as Country;
                foreach (City cty in ctry.Cities)
                {
                    if (parameter.ToString().Contains("1"))
                        gdp += cty.GDP;
                    else gdp += cty.AnnualRainFall;
                }
            }

            return gdp;
            
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
          //  throw new NotImplementedException();
            return value;
        }

        #endregion
    }
}
